Bug 37723 - skkinput cannot run on kterm
skkinput cannot run on kterm
Product: Red Hat Linux
Classification: Retired
Component: kterm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Satoru SATOH
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-04-26 00:17 EDT by yamagata
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-18 14:10:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description yamagata 2001-04-26 00:17:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [ja/[Vine,RedHat]] (X11; U; Linux 2.4.2-2 i686)

skkinput cannot run on kterm. The file
/usr/X11R6/lib/X11/ja/app-defaults/KTerm include a wrong line
``Shift<Key>space: open-im(XMODIFIERS) \n\''. It must be ``Shift<Key>space:
begin-conversion(_JAPANESE_CONVERSION) \n\''.

Reproducible: Always
Steps to Reproduce:
1.You are in kterm. Type skkinput and then <Shift>+<Space>. Nothing occurs.
2.Edit ~/.Xdefaults and write the folloing lines.
*VT100*translations: #override \
 Shift<Key>space: \
3.Run an another kterm and type skkinput and then <Shift>+<Space> in it.
skkinput is running.
Comment 1 Nakai 2001-05-07 01:41:47 EDT
Sato will see this problem.
Comment 2 Satoru SATOH 2001-05-07 02:21:18 EDT
Please test:
1.You are in kterm. Type skkinput and type as follows:

$ export XMODIFIERS="@im=skkinpu"

AND THEN <Shift>+<Space>.

Comment 3 yamagata 2001-05-07 02:39:15 EDT
The problem cannot be solved.
Comment 4 Satoru SATOH 2001-05-07 03:13:14 EDT
type skkinpu -> skkinput.

Add to that, is there the skkserver runnning? 

In 7.1, I prepare "dbskkd-cdb" server (it depends on xinetd which
is not installed on workstation-class installation by defalt).

There'll be some works before running dbskkd-cdb:

1. edit /etc/xinetd.d/dbskkd-cdb: disable = no
2. edit /etc/hosts.allow to add the line: dbskkd-cdb:LOCAL
3. restart xinetd: # /etc/init.d/xietd restart

Here it works for me.
Comment 5 yamagata 2001-05-07 21:34:03 EDT
I have prepared "dbskkd-cdb" with the above procedures
(not necessay for /etc/hosts.allow).

$ export XMODIFIERS="@im=skkinput"
$ kterm
Skkinput works only on the kterm and dose not work on
kterm's run from the GNOME panel. Of cource "XMODIFIERS" is
set on all kterm's.
Comment 6 Bill Nottingham 2006-10-18 14:10:47 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.